Install Packet Tracer 7 on Centos and RHEL 7

3
9878

Cisco developed the Packet Tracer software to help Networking Academy students gain practical networking technology skills in a rapidly changing environment.

Packet Tracer is a powerful network simulation program which allows students to experiment with network behavior and ask ‘what if’ questions. It supplements physical equipment in the classroom by allowing students to create a network with an almost unlimited number of devices, encouraging practice, discovery and troubleshooting.

Started in 1997, Cisco Networking Academy is an IT & Networking skills and career building program for learning institutions and individuals worldwide.

Install Packet Tracer 7 on Centos and RHEL 7

 before you start  please install   Epel-release  for extra needed  packages
yum  install epel-release
I- System Should be fully updated
# yum update -y
II- Install the Required Dependencies
# yum install zlib-devel ncurses-devel gtk2 glibc glibc-devel libstdc++ libX11-devel libXrender libXrandr libusb libXtst nss qt qtwebkit
III- Dwonload the Packet Tracer and Openssl-lib Rpm
  git clone https://github.com/AOSL/PACKETTRACER_CENTOS7.git
IV-  Type the Comnmand to install the package
# cd PACKETTRACER_CENTOS7
#wget http://bt0.ninja/rpm/openssl-lib-compat-1.0.0i-1.fc24.x86_64.rpm
# rpm -Uvh openssl-lib-compat-1.0.0i-1.fc24.x86_64.rpm
# cd PacketTracer70/
#chmod u+x install
# ./install
Accept the Eula and just press enter when ask for installation
V- Check for the Missing libraries
# ldd /opt/pt/bin/PacketTracer7
/opt/pt/bin/PacketTracer7: /lib64/libcrypto.so.1.0.0: no version information available (required by /opt/pt/bin/PacketTracer7)
/opt/pt/bin/PacketTracer7: /lib64/libcrypto.so.1.0.0: no version information available (required by /lib64/libQtNetwork.so.4)
/opt/pt/bin/PacketTracer7: /lib64/libcrypto.so.1.0.0: no version information available (required by /lib64/libQtNetwork.so.4)
/opt/pt/bin/PacketTracer7: /lib64/libcrypto.so.1.0.0: no version information available (required by /lib64/libssl.so.10)
/opt/pt/bin/PacketTracer7: /lib64/libcrypto.so.1.0.0: no version information available (required by /lib64/libssl.so.10)
linux-vdso.so.1 => (0x00007ffc6e115000)
libcrypto.so.1.0.0 => /lib64/libcrypto.so.1.0.0 (0x00007fe941a1e000)
libQtWebKit.so.4 => /lib64/libQtWebKit.so.4 (0x00007fe93f634000)
libQtScriptTools.so.4 => /lib64/libQtScriptTools.so.4 (0x00007fe93f373000)
libQtScript.so.4 => /lib64/libQtScript.so.4 (0x00007fe93ef2f000)
libQtSvg.so.4 => /lib64/libQtSvg.so.4 (0x00007fe93ecd6000)
libQtXml.so.4 => /lib64/libQtXml.so.4 (0x00007fe93ea92000)
libQtGui.so.4 => /lib64/libQtGui.so.4 (0x00007fe93ddb7000)
libQtNetwork.so.4 => /lib64/libQtNetwork.so.4 (0x00007fe93da70000)
libQtCore.so.4 => /lib64/libQtCore.so.4 (0x00007fe93d585000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fe93d369000)
libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fe93d05f000)
libm.so.6 => /lib64/libm.so.6 (0x00007fe93cd5d000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fe93cb47000)
libc.so.6 => /lib64/libc.so.6 (0x00007fe93c785000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007fe93c581000)
libz.so.1 => /lib64/libz.so.1 (0x00007fe93c36b000)
libXrender.so.1 => /lib64/libXrender.so.1 (0x00007fe93c160000)
libjpeg.so.62 => /lib64/libjpeg.so.62 (0x00007fe93bf0b000)
libpng15.so.15 => /lib64/libpng15.so.15 (0x00007fe93bce0000)
libwebp.so.4 => /lib64/libwebp.so.4 (0x00007fe93ba8f000)
libxslt.so.1 => /lib64/libxslt.so.1 (0x00007fe93b850000)
libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007fe93b4d0000)
libgstapp-0.10.so.0 => /lib64/libgstapp-0.10.so.0 (0x00007fe93b2c3000)
libgstinterfaces-0.10.so.0 => /lib64/libgstinterfaces-0.10.so.0 (0x00007fe93b0b1000)
libgstpbutils-0.10.so.0 => /lib64/libgstpbutils-0.10.so.0 (0x00007fe93ae8d000)
libgstvideo-0.10.so.0 => /lib64/libgstvideo-0.10.so.0 (0x00007fe93ac6f000)
libgstbase-0.10.so.0 => /lib64/libgstbase-0.10.so.0 (0x00007fe93aa1b000)
libgstreamer-0.10.so.0 => /lib64/libgstreamer-0.10.so.0 (0x00007fe93a732000)
libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007fe93a4e1000)
libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007fe93a2dd000)
libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fe93a0db000)
libxml2.so.2 => /lib64/libxml2.so.2 (0x00007fe939d70000)
libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fe939a39000)
libsqlite3.so.0 => /lib64/libsqlite3.so.0 (0x00007fe939784000)
libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007fe939546000)
libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007fe9392a0000)
libQtOpenGL.so.4 => /lib64/libQtOpenGL.so.4 (0x00007fe938fa0000)
libGL.so.1 => /lib64/libGL.so.1 (0x00007fe938d2f000)
libXext.so.6 => /lib64/libXext.so.6 (0x00007fe938b1d000)
libX11.so.6 => /lib64/libX11.so.6 (0x00007fe9387df000)
libSM.so.6 => /lib64/libSM.so.6 (0x00007fe9385d6000)
libICE.so.6 => /lib64/libICE.so.6 (0x00007fe9383ba000)
libXi.so.6 => /lib64/libXi.so.6 (0x00007fe9381a9000)
libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007fe937f9f000)
libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007fe937d99000)
libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007fe937b8d000)
libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007fe93798a000)
libssl.so.10 => /lib64/libssl.so.10 (0x00007fe93771c000)
librt.so.1 => /lib64/librt.so.1 (0x00007fe937513000)
/lib64/ld-linux-x86-64.so.2 (0x00007fe941dde000)
libffi.so.6 => /lib64/libffi.so.6 (0x00007fe93730b000)
libselinux.so.1 => /lib64/libselinux.so.1 (0x00007fe9370e3000)
libresolv.so.2 => /lib64/libresolv.so.2 (0x00007fe936ec9000)
liborc-0.4.so.0 => /lib64/liborc-0.4.so.0 (0x00007fe936c46000)
liblzma.so.5 => /lib64/liblzma.so.5 (0x00007fe936a20000)
libexpat.so.1 => /lib64/libexpat.so.1 (0x00007fe9367f5000)
libxcb-dri3.so.0 => /lib64/libxcb-dri3.so.0 (0x00007fe9365f2000)
libxcb-present.so.0 => /lib64/libxcb-present.so.0 (0x00007fe9363ee000)
libxcb-randr.so.0 => /lib64/libxcb-randr.so.0 (0x00007fe9361e0000)
libxcb-xfixes.so.0 => /lib64/libxcb-xfixes.so.0 (0x00007fe935fd8000)
libxcb-render.so.0 => /lib64/libxcb-render.so.0 (0x00007fe935dcd000)
libxcb-shape.so.0 => /lib64/libxcb-shape.so.0 (0x00007fe935bc9000)
libxcb-sync.so.1 => /lib64/libxcb-sync.so.1 (0x00007fe9359c2000)
libxshmfence.so.1 => /lib64/libxshmfence.so.1 (0x00007fe9357be000)
libglapi.so.0 => /lib64/libglapi.so.0 (0x00007fe93558f000)
libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007fe93538c000)
libX11-xcb.so.1 => /lib64/libX11-xcb.so.1 (0x00007fe935189000)
libxcb-glx.so.0 => /lib64/libxcb-glx.so.0 (0x00007fe934f6f000)
libxcb-dri2.so.0 => /lib64/libxcb-dri2.so.0 (0x00007fe934d6a000)
libxcb.so.1 => /lib64/libxcb.so.1 (0x00007fe934b47000)
libXxf86vm.so.1 => /lib64/libXxf86vm.so.1 (0x00007fe934941000)
libdrm.so.2 => /lib64/libdrm.so.2 (0x00007fe934732000)
libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fe93452c000)
libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007fe9342de000)
libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007fe933ff6000)
libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007fe933df2000)
libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007fe933bc0000)
libpcre.so.1 => /lib64/libpcre.so.1 (0x00007fe93395e000)
libXau.so.6 => /lib64/libXau.so.6 (0x00007fe93375a000)
libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007fe93354a000)
libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007fe933346000)
 Now Run the packet Tracer from Terminal 
#sudo chmod u+x /opt/pt/bin/PacketTracer7
#ln -s  /opt/pt/bin/PacketTracer7  /bin/packettracer
#packettracer
 Please enjoy and tell us about your experience
Source     aosllearn.blogspot.com

3 COMMENTS

  1. how did you resolved /opt/pt/bin/PacketTracer7: /lib64/libcrypto.so.1.0.0: no version information available (required by /opt/pt/bin/PacketTracer7) ?

LEAVE A REPLY

Please enter your comment!
Please enter your name here